g;
;****************************************************************************
;
;  Purpose:
;	Provides Connection From LCD Driver Code To Hardware
;
;  Date:
;	07/21/92
;
;  Author:
;	John C. Wren
;
;  Modications:
;	02/04/97 - Added Description Fields For Archive
;
;  Processor:
;	Generic 8031
;
;  Assembler:
;	Avocet AVA51
;
;  Dependencies:
;	None
;
;  Files:
;	None
;
;  Philosophic:
;	This Is An Extract Of The Generic IO.ASM File.  Usually, All I/O
;	Support Is Incorporated Into One File.  A Version Of This Is Made
;	For The Real Hardware, And If There Is A Prototype Board, A Verison
;	Is Created To Support It
;
;****************************************************************************
;
;  Includes
;
;		%include "equates.inc"
		seg	code
;
;****************************************************************************
;
;  Publics
;
		public	IO_24C16SCL_LO
		public	IO_24C16SCL_HI
		public	IO_24C16SDA_LO
		public	IO_24C16SDA_HI
		public	IO_24C16SDA_RD
;
;*******************************************************************************
;
;  Port Pin Equates
;
X24C16SDA	bit	p3.2			; 24C16 Data Line
X24C16SCL	bit	p3.3			; 24C16 Clock Line
;
;****************************************************************************
;
;  Description:
;	Set The 24C16 Clock Line Low
;
;  Entry Requirements:
;	None
;
;  On Exit:
;	None
;
;  Affected:
;	None
;
;  Stack:
;	0 Bytes, Not Including Space Used By Called Routines
;
;  Comments:
;	None
;
IO_24C16SCL_LO	proc
		clr	X24C16SCL		; Clock Line Low
		ret				; Return To Caller
		endproc
;
;****************************************************************************
;
;  Description:
;	Set The 24C16 Clock Line High
;
;  Entry Requirements:
;	None
;
;  On Exit:
;	None
;
;  Affected:
;	None
;
;  Stack:
;	0 Bytes, Not Including Space Used By Called Routines
;
;  Comments:
;	None
;
IO_24C16SCL_HI	proc
		setb	X24C16SCL		; Clock Line High
		ret				; Return To Caller
		endproc
;
;****************************************************************************
;
;  Description:
;	Set The 24C16 Data Line Low
;
;  Entry Requirements:
;	None
;
;  On Exit:
;	None
;
;  Affected:
;	None
;
;  Stack:
;	0 Bytes, Not Including Space Used By Called Routines
;
;  Comments:
;	None
;
IO_24C16SDA_LO	proc
		clr	X24C16SDA		; Data Line Low
		ret				; Return To Caller
		endproc
;
;****************************************************************************
;
;  Description:
;	Set The 24C16 Data Line High
;
;  Entry Requirements:
;	None
;
;  On Exit:
;	None
;
;  Affected:
;	None
;
;  Stack:
;	0 Bytes, Not Including Space Used By Called Routines
;
;  Comments:
;	None
;
IO_24C16SDA_HI	proc
		setb	X24C16SDA		; Data Line High
		ret				; Return To Caller
		endproc
;
;****************************************************************************
;
;  Description:
;	Read The 24C16 Data Line 
;
;  Entry Requirements:
;	None
;
;  On Exit:
;	CY == State Of Data Pin
;
;  Affected:
;	PSW.CY
;
;  Stack:
;	0 Bytes, Not Including Space Used By Called Routines
;
;  Comments:
;	None
;
IO_24C16SDA_RD	proc
		mov	c,X24C16SDA		; Read Line
		ret				; Return To Caller
		endproc
;
;****************************************************************************
;
		end
